@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url(https://fonts.googleapis.com/css?family=Trebuchet+MS:400);
@import url(https://fonts.googleapis.com/css?family=Courier+New:400);

html, body {
    margin: 0;
    font-family: 'Trebuchet MS', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: .95rem;
    font-weight: 400;
    background-color: #a7c0cd
}

a, .btn-link {
    color: #0366d6;
}

.modal-overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0,0,0,0.5);
    z-index: 2000;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    --sk-color: white;
}

.my-spinner {
    --sk-size: 96px;
    --sk-color: #4B636E;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
